Package com.ocient.jdbc

# Enum XGConnection.ConnectionProperty

java.lang.Object
java.lang.Enum<XGConnection.ConnectionProperty>
com.ocient.jdbc.XGConnection.ConnectionProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<XGConnection.ConnectionProperty>`, `java.lang.constant.Constable`

Enclosing class:
  XGConnection

    public static enum XGConnection.ConnectionProperty
    extends Enum<XGConnection.ConnectionProperty>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CONNECTION_POOLING_MODE` |
`DEFAULT_SCHEMA` |
`HANDSHAKE` |
`LOG_FILE` |
`LOG_LEVEL` |
`LONG_QUERY_THRESHOLD` |
`MAX_ROWS` |
`MAX_TEMP_DISK` |
`MAX_THREADS_PER_RESULTSET` |
`MAX_TIME` |
`NETWORK_TIMEOUT` |
`PARALLELISM` |
`PASSWORD` |
`PRIORITY` |
`PRIORITY_ADJUST_FACTOR` |
`PRIORITY_ADJUST_TIME` |
`RESULT_SET_RAMP_UP_INTERVAL_MILLIS` |
`SERVICE_CLASS_NAME` |
`SSO_DEBUG_MODE` |
`SSO_O_AUTH_CODE_CALLBACK_PORT` |
`SSO_O_AUTH_FLOW` |
`SSO_OKTA_NATIVE_TOKEN_PATH` |
`SSO_TIMEOUT_SECONDS` |
`TIMEOUT_MILLIS` |
`TLS` |
`USER` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `description()` |
`Optional<Boolean>` | `getBoolean​(Properties properties)` |
`Optional<XGConnection.ConnectionPoolingMode>` | `getConnectionPoolingMode​(Properties properties)` |
`OptionalDouble` | `getDouble​(Properties properties)` |
`Optional<XGConnection.HandshakeType>` | `getHandshakeType​(Properties properties)` |
`OptionalInt` | `getInt​(Properties properties)` |
`OptionalLong` | `getLong​(Properties properties)` |
`Optional<OpenIDAuthenticators.OAuthFlow>` | `getOAuthFlow​(Properties properties)` |
`Optional<String>` | `getString​(Properties properties)` |
`XGConnection.ConnectionPropertyGroup` | `group()` |
`String` | `key()` |
`static XGConnection.ConnectionProperty` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static XGConnection.ConnectionProperty[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT_SCHEMA

public static final XGConnection.ConnectionProperty DEFAULT_SCHEMA

### HANDSHAKE

public static final XGConnection.ConnectionProperty HANDSHAKE

### LOG_FILE

public static final XGConnection.ConnectionProperty LOG_FILE

### LOG_LEVEL

public static final XGConnection.ConnectionProperty LOG_LEVEL

### LONG_QUERY_THRESHOLD

public static final XGConnection.ConnectionProperty LONG_QUERY_THRESHOLD

### MAX_ROWS

public static final XGConnection.ConnectionProperty MAX_ROWS

### MAX_TEMP_DISK

public static final XGConnection.ConnectionProperty MAX_TEMP_DISK

### MAX_TIME

public static final XGConnection.ConnectionProperty MAX_TIME

### MAX_THREADS_PER_RESULTSET

public static final XGConnection.ConnectionProperty MAX_THREADS_PER_RESULTSET

### NETWORK_TIMEOUT

public static final XGConnection.ConnectionProperty NETWORK_TIMEOUT

### PASSWORD

public static final XGConnection.ConnectionProperty PASSWORD

### PARALLELISM

public static final XGConnection.ConnectionProperty PARALLELISM

### PRIORITY

public static final XGConnection.ConnectionProperty PRIORITY

### PRIORITY_ADJUST_FACTOR

public static final XGConnection.ConnectionProperty PRIORITY_ADJUST_FACTOR

### RESULT_SET_RAMP_UP_INTERVAL_MILLIS

public static final XGConnection.ConnectionProperty RESULT_SET_RAMP_UP_INTERVAL_MILLIS

### SERVICE_CLASS_NAME

public static final XGConnection.ConnectionProperty SERVICE_CLASS_NAME

### PRIORITY_ADJUST_TIME

public static final XGConnection.ConnectionProperty PRIORITY_ADJUST_TIME

### SSO_DEBUG_MODE

public static final XGConnection.ConnectionProperty SSO_DEBUG_MODE

### SSO_TIMEOUT_SECONDS

public static final XGConnection.ConnectionProperty SSO_TIMEOUT_SECONDS

### SSO_O_AUTH_CODE_CALLBACK_PORT

public static final XGConnection.ConnectionProperty SSO_O_AUTH_CODE_CALLBACK_PORT

### SSO_O_AUTH_FLOW

public static final XGConnection.ConnectionProperty SSO_O_AUTH_FLOW

### SSO_OKTA_NATIVE_TOKEN_PATH

public static final XGConnection.ConnectionProperty SSO_OKTA_NATIVE_TOKEN_PATH

### TIMEOUT_MILLIS

public static final XGConnection.ConnectionProperty TIMEOUT_MILLIS

### TLS

public static final XGConnection.ConnectionProperty TLS

### CONNECTION_POOLING_MODE

public static final XGConnection.ConnectionProperty CONNECTION_POOLING_MODE

### USER

public static final XGConnection.ConnectionProperty USER

## Method Details

### values

public static XGConnection.ConnectionProperty[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static XGConnection.ConnectionProperty valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### key

public String key()

### description

public String description()

### group

public XGConnection.ConnectionPropertyGroup group()

### getString

public Optional<String> getString​(Properties properties)

### getBoolean

public Optional<Boolean> getBoolean​(Properties properties)

### getInt

public OptionalInt getInt​(Properties properties)

### getLong

public OptionalLong getLong​(Properties properties)

### getDouble

public OptionalDouble getDouble​(Properties properties)

### getOAuthFlow

public Optional<OpenIDAuthenticators.OAuthFlow> getOAuthFlow​(Properties properties) throws SQLException

Throws:
  `SQLException`

### getHandshakeType

public Optional<XGConnection.HandshakeType> getHandshakeType​(Properties properties) throws SQLException

Throws:
  `SQLException`

### getConnectionPoolingMode

public Optional<XGConnection.ConnectionPoolingMode> getConnectionPoolingMode​(Properties properties) throws SQLException

Throws:
  `SQLException`